REM start cmd /C 
REM start /B startet ohne eigenes Window. Damit sieht man alle Ausgaben nicht. Echter Dämonprozess. Entfernen des /B, dann kommt ein schwarzes cmd-Window.
REM Idee: Ausgabe auf Datei schreiben (Log), dort kann man dann schauen ob's geht.
java -cp ../../java/vishiajar/vishiaGral.jar;../../ZBNF/zbnfjax/zbnf.jar org.vishia.inspcPC.InspCmd %0
exit 

==JZcmd==
    

##Stimuli file for mid2_high2_midSpline_Filter_1_x_
##?description

class Args  
{
  String ownIp="UDP:127.0.0.1:60097";                                     

  Map targets;
  String targets.Smlk = "UDP:127.0.0.1:60094";
}



Obj checkOk = inspc.create_InspcRxOk();

                                                                                            
main()       
{            
  <+out>start InspCmd ...wait<.+>
  jzcmd.scriptThread.awaitmsg(2000);
  <+out>end wait<.+n>
  Obj var_isWaiting = inspc.accVariable("Smlk:wait.isWaiting", 15000); 
  if(not var_isWaiting) { throw "Target does not run"; }
  
  inspc.cmdSetFloatByPath("Smlk:path.var.", 38.0, checkOk); checkOk.await(1000, out);
  
  <+out>...wait<.+>
  jzcmd.scriptThread.awaitmsg(2000);
  <+out>end wait<.+n>
  

}
